## dgit 9.5~bpo10+1

=== debian/changelog ===
dgit (9.5~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2019 07:20:44 +0100

dgit (9.5) unstable; urgency=medium

  git-debpush [Sean Whitton]:
  * Support ignoring individual checks with --force=check.  Closes:#932459.
  * Check upstream source is identical in the upstream tag.
  * Check that patches are (un)applicable.  Closes:#932477.
  * Check for an unstitched git-debrebase branch.  Closes:#932612.
  * Check for explicitly pushing detached HEAD.

  dgit clone [Ian Jackson]:
  * No longer create an "origin" remote.  Closes:#932694.

  Documentation:
  * dgit-maint-bpo(7): new manpage for maintainers of official Debian
    backports.  Closes:#857490.  [Sean Whitton]
  * git-debrebase(1): make this manpage a less intimidating entry point.
    Closes:#926656.
    [Sean Whitton & Ian Jackson; prompted by feedback from Sam Hartman]

  Miscellaneous:
  * Correct the description of --force in git-debpush(1) [Sean Whitton].
  * git-debrebase(*): fix some crossreferences [Sean Whitton].
    Closes:#932536.
  * Break out git-playtree-setup and rewrite in shell. [Ian Jackson]
  * Fix organisation copyright attribution for Matthew Vernon's
    contributions.  Closes:#932630.
  * HACKING: new document for helping people work on the code. [Ian Jackson]
  * Update Vcs-Git etc. to point to salsa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 22 Jul 2019 21:38:19 +0100

dgit (9.4) unstable; urgency=medium

  dgit:
  * Support the Ubuntu Cloud Archive [Matthew Vernon]. Closes:#932322.

  test suite:
  * tag-to-upload tests: Tolerate a changed git message.  Closes:#932475.

  administrivia:
  * debian/copyright: Add some missing credtis
  * Update copyright notices in many files

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 20 Jul 2019 16:26:32 +0100

dgit (9.3) unstable; urgency=medium

  dgit and git-debrebase bugfixes:
  * No longer crash if .git/logs does not exist when we need it.
  * Report the upstream tag, rather than commit id, in tags/commits,
    if the user explicitly specifies refs/tags/...

  tag-to-upload, git-debpush [Sean Whitton]:
  * Several new checks designed to prevent broken uploads.
    - Including: Check that upstream tag is ancestor of branch to be tagged.
      Closes:#932096
  * Cope with spaces in user-supplied upstream tag.

  tag-to-upload, server side:
  * Fix non-default quilt modes.  These were all previously broken.
  * Arrange to report the upstream tag in dgit-generated commits/tags.

  dgit archive query improvements [Matthew Vernon]:
  * dgit(1): document the presence of the aptget method.  Closes:#932321.

  minor supporting changes:
  * New tests tagupl-baredebian and tagupl-gbp.
  * Tiny addition to debugging output and test suite output.
  * Test suite rearrangements.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 18 Jul 2019 03:10:25 +0100
