=== debian/changelog ===
dgit (9.6~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 27 Jul 2019 07:37:49 +0100

dgit (9.6) unstable; urgency=medium

  * git-playtree-setup had a spurious set -x so many programs spewed
    debugging output.  This is now fixed.  Closes:#932959.

  dgit:
  * Drop support for configuring old, not currently enabled, methods
    of TLS key/cert pinning.  We are going to revisit this soon.
  * Provide a --for-push option (useful in for certain special users).
  * Reduce variety in HTTP clients we use.  Specificalloy, use WWW::Curl
    for accessing (i) the ftpmaster API, (ii) the http dgit git server
    mirror (iii) downloading the .dsc.

  Administrivia:
  * Add missing Closes of #932476 to changelog entry for 9.5

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 25 Jul 2019 13:12:08 +0100
