## dgit 9.7

=== debian/changelog ===
dgit (9.7) unstable; urgency=medium

  dgit general bugfixes:
  * Correctly test for presence of git repo on dgit git server.
    Fixes behaviour following mixed dgit/non-dgit uploads.  Closes:#934126.
    (Was badly broken by http fetching rework in dgit 9.6.)
  * Fix use on NFS, by closing a file which is going to be deleted.
    [Report and fix from Stéphane Glondu]  Closes:#933827.

  dgit vcs-git bugfixes:
  * Strip [<path>] (used eg by Debian Haskell Team).  Closes:#932699.
  * update-vcs-git: Cope if url is unchanged.
  * update-vcs-git: Strip -b (as it always should have done).

  Test suite:
  * New facilities for http testing, including mock webservers.
  * New test cases for http, and for bugs fixed in this version.
  * Switch to using http git check in three existing tests.
  * Improve debian/tests/control generator.
  * Limited refactoring to support other changes.

  Other minor changes:
  * dgit: Slightly more debugging for check_for_git with http[s]
  * changelog: Fix a typo in the entry for 9.6.
  * i18n (messages) updated, following message changes.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 11 Aug 2019 01:11:01 +0100
