=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
 Vcs-Browser: https://salsa.debian.org/dgit-team/dgit
 
 Package: dgit
-Depends: perl, libwww-perl, libdpkg-perl, git-core, devscripts, dpkg-dev,
+Depends: perl, libdpkg-perl, git-core, devscripts, dpkg-dev,
          ${misc:Depends}, git-buildpackage, liblist-moreutils-perl,
          liblocale-gettext-perl,
          coreutils (>= 8.23-1~),
          libdigest-sha-perl, dput, curl, apt,
          libjson-perl, ca-certificates,
-         libtext-iconv-perl, libtext-glob-perl
+         libtext-iconv-perl, libtext-glob-perl, libwww-curl-perl
 Recommends: ssh-client
 Suggests: sbuild | pbuilder | cowbuilder
 Architecture: all
@@ -53,7 +53,7 @@
 Package: dgit-infrastructure
 Depends: ${misc:Depends}, perl, git-core, gpgv, chiark-utils-bin,
          libjson-perl, libdigest-sha-perl, libdbd-sqlite3-perl, sqlite3,
-         libwww-perl, libdpkg-perl,
+         libdpkg-perl,
          liblocale-gettext-perl
 Recommends: dgit
 Architecture: all
