## dgit 9.9~bpo10+1

=== debian/changelog ===
dgit (9.9~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 16 Sep 2019 15:31:53 -0700

dgit (9.9) unstable; urgency=medium

  Documentation:
  * dgit-maint-{merge,debrebase}(7): Suggest a better rune.
    (`git fetch --tags upstream')  Closes:#939679.  [Sean Whitton]
  * git-debpush(1) minor improvements.  Closes:#935084.  [Sean Whitton]
  * dgit(1): Fix a typo (found by lintian)
  * dgit-maint-bpo(7): Mention occasional need for --new.  Closes:#935443.
  * git-debrebase: Extend extended description for this .deb.

  Infrastructure:
  * New script dgit-mirror-ssh-wrap suitable for use as restricted
    command on repos mirror target hosts, and corresponding test.

  Packaging niggles:
  * control: Add missing dependency on liburl-perl (dgit and tests)
  * control: Drop redundant Priority field for dgit-infrastruture
  * control: update Vcs-Git to end in .git
  * lintian: Override some checks
  * control: Bump Standards-Version to 4.4.0.0.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 14 Sep 2019 21:34:13 +0100

dgit (9.8) unstable; urgency=medium

  dgit, important bugfixes for bugs introduced in 9.6:
  * Once again cope with archive skew.  Closes:#935874.
    [Initial report from Colin Watson]
  * Follow http[s] redirects again.  Closes:#939564.

  dgit, useful new behaviours and fixes:
  * Use distro-info-data to resolve unknown suites.  Closes:#931212.
    [Suggestion from Simon McVittie]
  * Try to warn about misplacement of dgit options.  Closes:#934807.
    [Useability report from Félix Sipma]
  * Fail early when the archive/ tag already exists, ie when version
    needs to be not reused.  Closes:#935802.
    [Useability report from IOhannes m zmölnig]
  * Do not mistakely reject .asc and .sig files with push-source -C.
    Closes:#939280.  [Report from Simon McVittie]

  docs:
  * dgit-maint-{merge,debrebase}(7): Suggest git fetch --all --tags
    as it handles tags better.  [Sean Whitton]  Closes:#939504.
  * git-debrebase(5): Tiny typo fix.
  * dgit(1): Some semantic linefeeds (no change to rendered output)

  Supporting changes:
  * test suite: New test for http mirror and archive skew
  * test suite: Test already-tagged check
  * test suite: Add --force-reusing-version to many tests as now needed
  * Dgit: Minor refactoring of a regexp.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 06 Sep 2019 23:42:15 +0100

dgit (9.7~bpo9+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 16 Aug 2019 10:00:52 +0100
