=== debian/changelog ===
dgit (9.10~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 20 Feb 2020 22:24:26 -0700

dgit (9.10) unstable; urgency=medium

  dgit bugfix:
  * Work around gbp metadata handling bug which can prevent import
    of some anomalous source packages.  Closes:#950326.
    Report from Peter Green.

  git-debpush bugfix:
  * avoid a pipefail problem.  Closes:#940588.  [Sean Whitton]

  Documentation:
  * Terminology: Change "rewind" to "rewrite" where appropriate
  * dgit(1): Cover more cases of --overwrite and --deliberately
    Closes:#928473.
  * dgit(1): Do not talk about `intermediate' uploads.
  * d-m-{merge,debrebase}(7): Use an 'upstream/' tag prefix in
    gbp.conf; set `merge' in gbp.conf; import tarball before
    committing gbp.conf.  Closes:#932954.  [Sean Whitton]

  i18n:
  * Updated nl.po file.  Closes:#945356.  [Frans Spiesschaert]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 03 Feb 2020 08:41:10 +0000
