## dgit 9.10

=== Makefile ===
--- 
+++ 
@@ -65,7 +65,7 @@
 GDP_PROGRAMS=git-debpush
 GDP_MAN1PAGES=git-debpush.1
 
-INFRA_PROGRAMS=dgit-repos-server dgit-ssh-dispatch \
+INFRA_PROGRAMS=dgit-repos-server dgit-ssh-dispatch dgit-mirror-ssh-wrap \
 	dgit-repos-policy-debian dgit-repos-admin-debian \
 	dgit-repos-policy-trusting dgit-mirror-rsync
 INFRA_EXAMPLES=get-dm-txt ssh-wrap drs-cron-wrap get-suites
