=== changelog ===
example (1.0-1+absurd) unstable; urgency=medium

  * Add a patch to break `git-apply'.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 24 Oct 2016 01:39:42 +0100

example (1.0-1) unstable; urgency=low

  * Test package.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 13 May 2015 21:26:42 +0100
