=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: devel
 Priority: optional
 Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
-Standards-Version: 3.9.4.0
+Standards-Version: 4.4.0.0
 Build-Depends: debhelper (>= 9), gettext, po4a, tcl
 Testsuite: autopkgtest
-Vcs-Git: https://salsa.debian.org/dgit-team/dgit
+Vcs-Git: https://salsa.debian.org/dgit-team/dgit.git
 Vcs-Browser: https://salsa.debian.org/dgit-team/dgit
 
 Package: dgit
@@ -15,8 +15,9 @@
          coreutils (>= 8.23-1~),
          libdigest-sha-perl, dput, curl, apt,
          libjson-perl, ca-certificates,
-         libtext-iconv-perl, libtext-glob-perl, libwww-curl-perl
-Recommends: ssh-client
+         libtext-iconv-perl, libtext-glob-perl, libwww-curl-perl,
+         libtext-csv-perl
+Recommends: ssh-client, distro-info-data, liburi-perl
 Suggests: sbuild | pbuilder | cowbuilder
 Architecture: all
 Description: git interoperability with the Debian archive
@@ -36,6 +37,9 @@
 Description: rebasing git workflow tool for Debian packaging
  git-debrebase is a tool for representing in git, and manipulating,
  Debian packages based on upstream source code.
+ .
+ git-debrebase is an alternative to workflows including git-dpm,
+ gbp pq, and direct use of quilt patches.
 
 Package: git-debpush
 Depends: devscripts, git, gnupg, ${misc:Depends}
@@ -57,7 +61,6 @@
          liblocale-gettext-perl
 Recommends: dgit
 Architecture: all
-Priority: extra
 Description: dgit server backend infrastructure
  This package contains tools which are useful for setting up a dgit
  git repository server.  You probably want dgit, the client package,
