## dgit 9.11ubuntu1

=== debian/changelog ===
dgit (9.11ubuntu1) groovy; urgency=medium

  * infra/dgit-mirror-ssh-wrap: Cope with yet another rsync rune.
    (LP: #1892096)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 18 Aug 2020 17:02:02 -0400

dgit (9.11) unstable; urgency=medium

  Bugfixes:
  * git-debrebase, git-debpush: fail when looking for upstream tag if
    there is more than one candidate.  Closes:#961682.  [Sean Whitton]
  * git-debrebase: Fix error message for wrong use of -i
  * git-debrebase: new-upstream: Do not treat late options as version

  Documentation:
  * dgit-maint-debrebase(7): Drop some bad advice about the upstream/ tag
    case.  Closes:#961683.  [Sean Whitton]
  * git-debrebase(1): Fix new-upstream -i docs

  dgit-infrastructure:
  * dgit-mirror-ssh-wrap: Cope with new rsync rune.  Closes:#963489.
  * dgit-mirror-ssh-wrap: Clarify the error message 

 Test suite:
  * Cope with buster & eatmydata (ie, work around #963508)
  * Provide navigation banner in log when exiting nonzero
  * Print pwd in failure trap to help with diagnosis

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 22 Jun 2020 19:09:17 +0100
