=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dgit
 Section: devel
 Priority: optional
-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Standards-Version: 4.4.0.0
 Build-Depends: debhelper (>= 9), gettext, po4a, tcl
 Testsuite: autopkgtest
