## dgit 9.12

=== debian/changelog ===
dgit (9.12) unstable; urgency=medium

  Bugfixes:
  * dgit-mirror-ssh-wrap: Cope with yet another new rsync rune.
    Closes:#968635. [Sergio Durigan Junior]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 19 Aug 2020 17:25:45 +0100
