## dgit 9.13

=== debian/changelog ===
dgit (9.13) unstable; urgency=medium

  * gitattributes defuse: work even if .git/info/attributes missing
    (Closes: #981344)
  * dgit-maint-*(7): Advice for git-debpush users.
    Closes:#932520.  [Sean Whitton]
  * dgit.1: drop remark about sbuild not building arch-independent.
    Closes:#952442.  [Helmut Grohne]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 12 Feb 2021 12:48:15 +0000
