## dgit 9.15

=== debian/changelog ===
dgit (9.15) unstable; urgency=medium

  * dgit: pseudomerge_version_check: Check for unfinalised changelog entry.
  * tests: Set FILTER_BRANCH_SQUELCH_WARNING=1
  * tests: Use t-debchange in some places instead of dch
  * tests: Update all using tests/update-db-compat. Closes: #1002927.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 02 Jan 2022 12:20:23 +0000

dgit (9.14) unstable; urgency=medium

  Bugfixes:
  * Tolerate git config init.defaultBranch.  Closes:#972098.
    Reports from Didier 'OdyX' Raboud, Osamu Aoki.
    Diagnosis by Stig Sandbeck Mathisen.
  * dgit: Tolerate making quilt patches creating +x files.
    Closes:#949675.  Report from peter green.
  * dgit: Avoid use of GZIP environment variable.
    Closes: #975624.  Report from Stéphane Glondu.
  * Tolerate git config diff.noprefix.
    Closes:#973881; report from Didier 'OdyX' Raboud.

  Documentation and diagnostics:
  * Clarify git-debrabase --anchor, -fanchor-treated.
    Closes:#977426.  Report from Wookey <wookey@debian.org>.
  * dgit: Better message for dirty trees.  Closes:#930930.
    Report and suggestions from Sean Whitton.

  git-debpush, tag2upload:
  * Add missing dependency.  Closes:#940589; report from Andrej Shadura.
  * Fix version unmangling.  loses:#987304; report from Wolfgang Silbermayr.

  Tests:
  * Introduce t-debchange and set DEBEMAIL.
  * Add init.defaultBranch to two test cases and diff.noprefix to one.
  * Test creation of new symlink is treated as unrepresentable.
  * Increase the nproc -> make -j factor.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 08 Sep 2021 01:30:53 +0100
