=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dgit
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Standards-Version: 4.4.0.0
 Build-Depends: debhelper (>= 9), gettext, po4a, tcl
 Testsuite: autopkgtest
@@ -43,7 +42,8 @@
  gbp pq, and direct use of quilt patches.
 
 Package: git-debpush
-Depends: devscripts, git, gnupg, ${misc:Depends}
+Depends: devscripts, git, gnupg, libgit-wrapper-perl,
+         ${misc:Depends}
 Architecture: all
 Description: client script for git pushing to Debian-style archives
  git-debpush is a script to create and push a specially formatted
