=== rules ===
#!/usr/bin/make -f

binary-indep:
	@echo EXAMPLE RULES TARGET $@

binary binary-arch:
	@echo EXAMPLE RULES TARGET $@
	dh_install
	dh_gencontrol
	dh_builddeb

build build-indep build-arch:
	@echo EXAMPLE RULES TARGET $@

clean:
	@echo EXAMPLE RULES TARGET $@
	dh_clean
