## dgit 9.16

=== debian/changelog ===
dgit (9.16) unstable; urgency=medium

  Compatibility with git-buildpackage gbp pq 0.9.26 (Closes:#1005873):
  * dgit: Move .pc aside while running gbp pq import
  * git-debrebase: convert-from-dgit-view: Disable ignore-new where needed

  Other changes:
  * Fix typo in changelog for 9.14, noting that we closed #987304.
  * playtrees (for dgit and git-debrebase): Provide a gbp.conf.
  * tests: gdr: Provide a way to pass --diagnose.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 28 May 2022 22:49:53 +0100
