## dgit 10.0

=== debian/changelog ===
dgit (10.0) unstable; urgency=medium

  Major command line change - dgit push vs push-built:
  * Introduce "dgit push-built", meaning what "dgit push" does now.
  * Make "dgit push" a configurable alias, which by default warns about
    future incompatibility and then runs "dgit push-built".  See dgit(1).
  * Docs: generally recommend "push-source" rather than "push".
    [Report from Osamu Aoki]  Closes:#992606.

  New feature, and change to recommended usage:
  * Provide --quilt=single, and no longer recommend single-debian-patch
    anywhere (since it can go badly wrong).  Closes:#1018984.

  Handling of unusual kinds of change to upstream files, during quilt fixup:
  * Don't use dpkg-source --commit, but git diff.
  * Handle exectutability changes.  Closes:#995056.  [Report from Peter Green]
  * Reject all changes to symlinks (including symlink creation).
  * With dpkg single-debian-patch, pass --include-removal to dpkg-source -b.
  * Now we can make any diff that dpkg-source can cope with.  Closes:#1018143.

  Changes related to --dry-run and --damp-run:
  * dgit(1): Demote, and add caveats describing their behaviours.
    Closes:#973896.  [Report from Wookey]
  * dry run: Fix a handful of bugs (and improve a message).

  Other:
  * dgit: Pass require_valid_signature to Dpkg::Source::Package
    in the correct manner.  Closes: #964286.  [Guillem Jover]

  Internal:
  * Refactorings and commentary, to support the other changes.
  * Consequential updates to tests.
  * More comprehensive testing of unusual upstream changes.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 04 Sep 2022 13:43:34 +0100
