## dgit 10.1

=== debian/changelog ===
dgit (10.1) unstable; urgency=medium

  Bugfixes to dgit:
  * dgit push-build: Populate the split brain cache if necessary
    Closes:#1019454.  [Report from Simon McVittie]

  Bugfixes to git-debrebase [reports from David Bremner]:
  * git-debrebase: Fix "stripeoch" bug in convert-from-dgit-view.
  * git-debrebase: Fix handling of tag during convert-from-dgit-view.
  * git-debrebase: convert-from-dgit-view: Bail if output is wrong
    eg due to lack of appropriate d/patches.

  Documentation and messages:
  * dgit: Soften message about source-only uploads to NEW.
    [Report from Simon McVittie]  Improves #983056 a bit.
  * dgit(1): Be more encouraging about --new.  Closes:#941323.
  * dgit(1): Remove obsolete documentation of dgit-tag-format
    [Remark from Philip Hands in #1023468]
  * dgit-maint-debrebase(7): add --pretty example for generating
    hash tags for upstream versions.  [Philip Hands]
  * git-debrebase: conversion: bail a little earlier on snags.

  Infrastructure (dgit-repos, server side):
  * get-dm-txt: Handle abolition of archive-query-tls-curl-ca-args
    (fixes incompatibility with deployed production configuration).

  Packaging:
  * New elements to test cases to test some of the fixes.
  * changelog: Fix misindented line in entry for 9.11.
  * changelog: Retrospectively xref to #950612 in entry for 9.11.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 11 Nov 2022 23:53:28 +0000
