## dgit 10.2

=== debian/changelog ===
dgit (10.2) unstable; urgency=medium

  Command line change - dgit rpush vs rpush-source vs rpush-built:
  * Introduce "dgit rpush-source", a new feature.  
    Closes:#974012.  [Request from Wookey]
  * Introduce "dgit rpush-built", meaning what "dgit rpush" does now.
  * Make "dgit rpush" a configurable alias, which by default warns about
    future incompatibility and then runs "dgit rpush-built".
    (This was done for "dgit push" in dgit 10.0.)

  Bugfixes to dgit:
  * Be more conservative about when to run "git-debrebase make-patches".
    Closes:#1025451.  [Report from Sean Whitton]
  * Cope with packages using "3.0 (quilt)" "include-binaries" feature.
    Closes:#1024233.  [Report from Peter Green]
  * Cope with certain packages where dpkg-source guesses wrong about
    patch application status.  (Perms-only patches may be implicated?)
    Closes:#1025694.  [Report from Matthew Vernon]

  Minor improvements:
  * dgit(1): Promote push-source even more, rather than push-built.
  * git-debrebase --noop-ok: support --no-noop-ok.
  * Fix a typo "build" for "build" in the changelog entry for 10.1.

  Debugging fixes and internal changes:
  * dgit: Fix a direct use of chdir, should be changedir
  * git-debrebase --noop-ok: use default destination

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 12 Dec 2022 01:15:55 +0000
