## dgit 10.6

=== debian/changelog ===
dgit (10.6) unstable; urgency=medium

  Bugfix for handling some source packages:
  * dgit: dsc import: Launder the series file before feeding it to gbp,
    (in absurd git-apply mode) in case it contains strange things.
    Closes: #1030093.  [Report from Peter Green]

  Minor improvements to git-debrebase:
  * git-debrebase(1): Add imprecation to call conclude or prepush, at top
  * git-debrebase(1): Remove launder-v0 from documentation
  * git-debrebase status: Print upstream commitid

  Supporting chnages:
  * dgit: Fix confusing appending of gbp-pq-output in innards.
    (Conceivably this might fix wrong messages in very unusual situations.)
  * dgit: Fix a call to die to be confess, if an unexpected copy fails.
  * tests: Bail on seeing "internal-only" commits, which should be invisible.
  * tests: Test laundering of a deranged series file (with a form feed).
  * dgit-ssh-dispatch: Apply perllib_local to policy hook, fixing a test
    suite bug where the wrong Dgit.pm might be used.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 04 Feb 2023 16:56:30 +0000

dgit (10.5) unstable; urgency=medium

  * [INTL:nl] Dutch translation for the dgit package.
    [Frans Spiesschaert]  Closes:#1029682.
  * dgit: Add TODO about inappropriate translation of Subject

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 26 Jan 2023 14:41:05 +0000

dgit (10.4) unstable; urgency=medium

  * Tainted object handling: Require policy-client-query to be supported
    when talking to the Debian server, so this check is now properly
    implemented rather than best-effort.  Closes: #944855, #1027186.
    [Completes work prompted by report from Felipe Sateler.]
  * git-debrebase(1): Be less scary about --experimental-merge-resolution.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 29 Dec 2022 11:51:50 +0000

dgit (10.3) unstable; urgency=medium

  dgit useability improvements:
  * Silently tolerate mentions of debian/ in debian/source/include-binaries.
    Closes:#1026918.  [Report from Simon McVittie]
  * Scan for duplicated orig tarballs with different names,
    avoiding strange dpkg-source errors mentioning format 2.0.
    Closes:#993769.  [Report from Philip Hands]
  * Rename auto quilt mode to try-linear (retaining compat alias),
    to clarify that it won't automatically detect branch format.
    Closes:#935762.  [Report from David Bremner]
  * dgit(1): Clarify the non-split-brain --quilt options, explicitly
    stating that they expect a patched-applied (dgit view) branch.

  Tainted object handling (relevant to Debian NEW):
  * dgit can now usually discover when --deliberately-* will be needed,
    before making signatures and attempting the actual push.
    Thus, missing a --deliberately no longer burns a version number.
  * This is #944855.  However, it depends new infrastructure,
    which is (in this version) only queried on a best-effort basis:
  * New protocol transaction (over ssh) with dgit repos server,
    to allow client to make a policy enquiry, and specifically to
    enquire about tainted objects.
  * More of the relevant error messages are now translatable via gettext.

  Supporting changes:
  * Modest refactoring to support the new functionality.
  * Tests for new functionality, and improved tests in changed areas.
  * tests: sbuild-gitish: Pass -v to sbuild for better debuggability.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 29 Dec 2022 00:51:29 +0000
