## dgit 10.7

=== debian/changelog ===
dgit (10.7) unstable; urgency=medium

  * dgit(1), dgit-maint-merge(7): Copy-edit changes since dgit 9.16.
  * dgit, dgit-maint-merge(7): Merge suggested README.source text into
    --quilt=single's generated patch header.
    We now have to say "a workflow similar to ... dgit-maint-merge(7)" but
    this is worth it for the simplification to the workflow.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 22 Feb 2023 15:13:06 -0700
