=== debian/tests/control ===
--- 
+++ 
@@ -49,5 +49,5 @@
 Tests-Directory: tests/tests
 Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage
 
-Tests: manpages-format
+Tests: import-linkorigs
 Tests-Directory: tests/tests
