## dgit 10.7+deb12u2

=== debian/changelog ===
dgit (10.7+deb12u2) bookworm; urgency=medium

  * Prevent pushing older versions than is in the archive.
    Closes: #1050711.  [Reports from Helmut Grohne and Phil Hands]
    Backported from dgit 11.3.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 03 Sep 2023 00:49:57 +0100

dgit (10.7+deb12u1) bookworm; urgency=medium

  * Use the old /updates security map only for buster.  Fixes fetching from
    suites ,-security after buster.  [Matthew Vernon]  Closes: #1050179.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 22 Aug 2023 19:30:47 +0100
